# Types and Methods

This section contains documents describing TON SDK Types and Methods supported by various [modules](/ever-sdk/reference/types-and-methods/modules.md).

* [Module abi](/ever-sdk/reference/types-and-methods/mod_abi.md)
* [Module boc](/ever-sdk/reference/types-and-methods/mod_boc.md)
* [Module client](/ever-sdk/reference/types-and-methods/mod_client.md)
* [Module crypto](/ever-sdk/reference/types-and-methods/mod_crypto.md)
* [Module debot](/ever-sdk/reference/types-and-methods/mod_debot.md)
* [Module net](/ever-sdk/reference/types-and-methods/mod_net.md)
* [Module processing](/ever-sdk/reference/types-and-methods/mod_processing.md)
* [Module proofs](/ever-sdk/reference/types-and-methods/mod_proofs.md)
* [Module tvm](/ever-sdk/reference/types-and-methods/mod_tvm.md)
* [Module utils](/ever-sdk/reference/types-and-methods/mod_utils.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everos.dev/ever-sdk/reference/types-and-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
